# Uses of Interface
waffle.windows.auth.IWindowsImpersonationContext

Packages that use IWindowsImpersonationContext
Package
Description
waffle.windows.auth
Waffle JNA Windows Authorization Package.
waffle.windows.auth.impl
Waffle JNA Windows Authorization Implementation Package.

## Uses of IWindowsImpersonationContext in waffle.windows.auth

Methods in waffle.windows.auth that return IWindowsImpersonationContext
Modifier and Type
Method
Description
`IWindowsImpersonationContext`
IWindowsIdentity.`impersonate()`
Impersonate a logged on user.
`IWindowsImpersonationContext`
IWindowsSecurityContext.`impersonate()`
Impersonate this security context.

## Uses of IWindowsImpersonationContext in waffle.windows.auth.impl

Classes in waffle.windows.auth.impl that implement IWindowsImpersonationContext
Modifier and Type
Class
Description
`class`
`WindowsIdentityImpersonationContextImpl`
The Class WindowsIdentityImpersonationContextImpl.
`class`
`WindowsSecurityContextImpersonationContextImpl`
The Class WindowsSecurityContextImpersonationContextImpl.
Methods in waffle.windows.auth.impl that return IWindowsImpersonationContext
Modifier and Type
Method
Description
`IWindowsImpersonationContext`
WindowsIdentityImpl.`impersonate()`
`IWindowsImpersonationContext`
WindowsSecurityContextImpl.`impersonate()`